 # Advent of Code - 2023
Copyright (c) Eric Wastl
#### [Direct Link](https://adventofcode.com/2023)

## Intro 

Something is wrong with global snow production, and you've been selected to take a look. The Elves have even given you a map; on it, they've used stars to mark the top fifty locations that are likely to be having problems.

You've been doing this long enough to know that to restore snow operations, you need to check all **fifty stars** by December 25th.

Collect stars by solving puzzles. Two puzzles will be made available on each day in the Advent calendar; the second puzzle is unlocked when you complete the first. Each puzzle grants **one star**. Good luck!

## Overview

| Day | Part 1 | Part 2 | My Solution | Official Website | 
| --- | --- | --- |---| --- |
| 01 | :white_check_mark: | :white_check_mark: | [Solution](01/code.py) | [Day 01](https://adventofcode.com/2023/day/1) |
| 02 | :white_check_mark: | :white_check_mark: | [Solution](02/code.py) | [Day 02](https://adventofcode.com/2023/day/2) |
| 03 | :white_check_mark: | :x: | [Solution](03/code.py) | [Day 03](https://adventofcode.com/2023/day/3) |
| 04 |  |  |  | [Day 04](https://adventofcode.com/2023/day/4) |
| 05 |  |  |  | [Day 05](https://adventofcode.com/2023/day/5) |
| 06 |  |  |  | [Day 06](https://adventofcode.com/2023/day/6) |
| 07 |  |  |  | [Day 07](https://adventofcode.com/2023/day/7) |
| 08 |  |  |  | [Day 08](https://adventofcode.com/2023/day/8) |
| 09 |  |  |  | [Day 09](https://adventofcode.com/2023/day/9) |
| 10 |  |  |  | [Day 10](https://adventofcode.com/2023/day/10) |
| 11 |  |  |  | [Day 11](https://adventofcode.com/2023/day/11) |
| 12 |  |  |  | [Day 12](https://adventofcode.com/2023/day/12) |
| 13 |  |  |  | [Day 13](https://adventofcode.com/2023/day/13) |
| 14 |  |  |  | [Day 14](https://adventofcode.com/2023/day/14) |
| 15 |  |  |  | [Day 15](https://adventofcode.com/2023/day/15) |
| 16 |  |  |  | [Day 16](https://adventofcode.com/2023/day/16) |
| 17 |  |  |  | [Day 17](https://adventofcode.com/2023/day/17) |
| 18 |  |  |  | [Day 18](https://adventofcode.com/2023/day/18) |
| 19 |  |  |  | [Day 19](https://adventofcode.com/2023/day/19) |
| 20 |  |  |  | [Day 20](https://adventofcode.com/2023/day/20) |
| 21 |  |  |  | [Day 21](https://adventofcode.com/2023/day/21) |
| 22 |  |  |  | [Day 22](https://adventofcode.com/2023/day/22) |
| 23 |  |  |  | [Day 23](https://adventofcode.com/2023/day/23) |
| 24 |  |  |  | [Day 24](https://adventofcode.com/2023/day/24) |
| 25 |  |  |  | [Day 25](https://adventofcode.com/2023/day/25) |
